wrong reading of the projection from the prj file (EPSG 25832)
Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18260

Description

Hi all,

it seems that QGIS doesn't read the information of the .prj when the EPSG = 25832 (QGIS assign automatically EPSG 3004). But when

saving the shapefile through QGIS and the .qpj files is created then the shapefile is correctly read.

Two files (prj and qpj in attach)

History

#1 - 2014-03-19 03:43 AM - Mattia De Agostino

It seems that QGIS partially read (and write) projection information into the PRJ file.

Data with the PRJ file EPSG 25832 (ETRS89 - UTM 32N) are automatically assigned to EPSG 3044 (ETRS89 / UTM zone 32N (NE), which is valid only in

Germany). The same problem occours when EPSG 25833 code is used (QGIS change the reference system projection to EPSG 3045).

This problem can be solved adding into the PRJ file the "AUTHORITY" optional field, as above:

PROJCS["ETRS89 / UTM zone

32N",GEOGCS["ETRS89",DATUM["D_ETRS_1989",SPHEROID["GRS_1980",6378137,298.257222101]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECT

453292519943295]],PROJECTION["Transverse_Mercator"],PARAMETER["latitude_of_origin",0],PARAMETER["central_meridian",9],PARAMETER["scale_factor",0.9996],PARAMETER["false_easting",500000],PARAMETER["false_northing",0],UNIT["Meter",1],AUTHORITY["EPSG","25832"]]

le_factor",0.9996],PARAMETER["false_easting",500000],PARAMETER["false_northing",0],UNIT["Meter",1],AUTHORITY["EPSG","25832"]]

The problem is not observed using raster data (e.g. GeoTIFF): EPSG 25832 is correctly assigned to data.

Is this problem related with QGIS or must be solved into the PROJ software?

Thanks.

#2 - 2016-09-13 11:22 AM - andskog -

Still an issue in QGIS 2.16.2. Tried with current GRASS GIS too, which reads the PRJ file correctly. Looks like GRASS also uses PROJ.4, so perhaps this

actually is a QGIS bug.

#3 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 03:11 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

test_25832.prj 388 Bytes 2014-03-03 matteo ghetta

test_25832.qpj 657 Bytes 2014-03-03 matteo ghetta

2024-04-30 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

